<?php

namespace BS\ChatGPTQuickReplyBot\XF\Pub\Controller;

class Forum extends XFCP_Forum
{
    protected function setupThreadCreate(\XF\Entity\Forum $forum)
    {
        $creator = parent::setupThreadCreate($forum);

        if (! in_array($forum->node_id, $this->options()->bsChatGPTQuickReplyNodes)) {
            return $creator;
        }

        $thread = $creator->getThread();
        $thread->bs_chagpt_autoresponder_enable = $this->filter('chatgpt_autoresponder', 'str') === 'yes';

        return $creator;
    }
}