<?php

namespace BS\ChatGPTQuickReplyBot\XF\Pub\Controller;

use XF\Mvc\Entity\AbstractCollection;
use XF\Mvc\ParameterBag;
use XF\Mvc\Reply\AbstractReply;

class Thread extends XFCP_Thread
{
    protected function setupThreadEdit(\XF\Entity\Thread $thread)
    {
        $editor = parent::setupThreadEdit($thread);
        if (! in_array($thread->node_id, $this->options()->bsChatGPTQuickReplyNodes)) {
            return $editor;
        }

        $thread->bs_chagpt_autoresponder_enable = $this->filter('chatgpt_autoresponder', 'str') === 'yes';

        return $editor;
    }
}